Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class Color

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.Color

public class Color
extends GenObject

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `Color()`
`protected` | `Color(int i)`

Method Summary
`protected void` | `finalize()`
`int` | `getAlpha()`
`int` | `getBlue()`
`static int` | `getBlueValue(int i)`
`int` | `getGreen()`
`static int` | `getGreenValue(int i)`
`int` | `getRed()`
`static int` | `getReducedColor(int i)`
`static int` | `getRedValue(int i)`
`int` | `getRgb()`
`static int` | `getRGBValue(int i, int j, int k)`
`static int` | `getRGBValue(java.lang.String s)`
`static int` | `makeWebSafeColor(int i)`
`void` | `release()`
`void` | `setAlpha(int i)`
`void` | `setBlue(int i)`
`void` | `setGreen(int i)`
`void` | `setRed(int i)`
`void` | `setRgb(int i)`
`void` | `setRGBValue(java.lang.String s)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Color

    public Color()
          throws GeneratorApiException

### Color

    protected Color(int i)
             throws GeneratorApiException

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getAlpha

    public int getAlpha()
                 throws GeneratorApiException

### getBlue

    public int getBlue()
                throws GeneratorApiException

### getBlueValue

    public static int getBlueValue(int i)

### getGreen

    public int getGreen()
                 throws GeneratorApiException

### getGreenValue

    public static int getGreenValue(int i)

### getRGBValue

    public static int getRGBValue(int i,
                                  int j,
                                  int k)

### getRGBValue

    public static int getRGBValue(java.lang.String s)
                           throws GeneratorApiException

### getRed

    public int getRed()
               throws GeneratorApiException

### getRedValue

    public static int getRedValue(int i)

### getReducedColor

    public static int getReducedColor(int i)

### getRgb

    public int getRgb()
               throws GeneratorApiException

### makeWebSafeColor

    public static int makeWebSafeColor(int i)

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setAlpha

    public void setAlpha(int i)
                  throws GeneratorApiException

### setBlue

    public void setBlue(int i)
                 throws GeneratorApiException

### setGreen

    public void setGreen(int i)
                  throws GeneratorApiException

### setRGBValue

    public void setRGBValue(java.lang.String s)
                     throws GeneratorApiException

### setRed

    public void setRed(int i)
                throws GeneratorApiException

### setRgb

    public void setRgb(int i)
                throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD